Patch  oval:org.mitre.oval:def:13401
USN-725-1 -- kdepim vulnerability  

It was discovered that Kmail did not adequately prevent execution of arbitrary code when a user clicked on a URL to an executable within an HTML mail. If a user clicked on a malicious URL and chose to execute the file, a remote attacker could execute arbitrary code with user privileges. This update changes KMail"s behavior to instead launch a helper program to view the file if the user chooses to execute such a link.
Create Date: 2011-10-18 Last Update Date: 2011-11-02

Affected Platforms/Products

Platforms: unix (from OVAL definitions) Products: unix
  • Ubuntu 8.10
  • Ubuntu 6.06
  • Ubuntu 8.04
  • Ubuntu 7.10
  • kdepim

References

Criteria

The patch should be installed
IF : Any one of the following are true
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 8.10 is installed oval:org.mitre.oval:def:13306
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : konsolekalendar DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  konsolekalendar DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package konsolekalendar package information
konsolekalendar
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kontact DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kontact DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kontact package information
kontact
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : akregator DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  akregator DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package akregator package information
akregator
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : ktimetracker DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  ktimetracker DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package ktimetracker package information
ktimetracker
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kresources DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kdepim-kresources DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kresources package information
kdepim-kresources
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-dev DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kdepim-dev DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-dev package information
kdepim-dev
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kode DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kode DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kode package information
kode
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : akonadi-kde DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  akonadi-kde DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package akonadi-kde package information
akonadi-kde
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkleo4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  libkleo4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkleo4 package information
libkleo4
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libmimelib4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  libmimelib4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libmimelib4 package information
libmimelib4
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkdepim4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  libkdepim4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkdepim4 package information
libkdepim4
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kaddressbook DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kaddressbook DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kaddressbook package information
kaddressbook
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : korganizer DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  korganizer DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package korganizer package information
korganizer
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kjots DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kjots DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kjots package information
kjots
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kleopatra DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kleopatra DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kleopatra package information
kleopatra
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kmail DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kmail DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kmail package information
kmail
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libksieve4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  libksieve4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libksieve4 package information
libksieve4
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpgp4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  libkpgp4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpgp4 package information
libkpgp4
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : knode DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  knode DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package knode package information
knode
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kalarm DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kalarm DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kalarm package information
kalarm
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-strigi-plugins DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kdepim-strigi-plugins DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-strigi-plugins package information
kdepim-strigi-plugins
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-wizards DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kdepim-wizards DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-wizards package information
kdepim-wizards
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkholidays4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  libkholidays4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkholidays4 package information
libkholidays4
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : knotes DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  knotes DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package knotes package information
knotes
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-dbg DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kdepim-dbg DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-dbg package information
kdepim-dbg
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : ktnef DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  ktnef DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package ktnef package information
ktnef
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libmaildir4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  libmaildir4 DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libmaildir4 package information
libmaildir4
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : kdepim-doc DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kdepim-doc DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-doc package information
kdepim-doc
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1
Linux : Debian DPKG Test :  kdepim DPKG is earlier than 4:4.1.4-0ubuntu1~intrepid2.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim package information
kdepim
RPM Version less than 0:4:4.1.4-0ubuntu1~intrepid2.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 6.06 is installed oval:org.mitre.oval:def:13319
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : konsolekalendar DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  konsolekalendar DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package konsolekalendar package information
konsolekalendar
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kontact DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kontact DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kontact package information
kontact
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkdepim1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkdepim1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkdepim1-dev package information
libkdepim1-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : akregator DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  akregator DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package akregator package information
akregator
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libktnef1 DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libktnef1 DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libktnef1 package information
libktnef1
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkgantt0 DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkgantt0 DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkgantt0 package information
libkgantt0
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kresources DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kdepim-kresources DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kresources package information
kdepim-kresources
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libindex0 DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libindex0 DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libindex0 package information
libindex0
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kdepim-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-dev package information
kdepim-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kode DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kode DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kode package information
kode
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libmimelib1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libmimelib1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libmimelib1-dev package information
libmimelib1-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkdepim1a DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkdepim1a DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkdepim1a package information
libkdepim1a
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimexchange1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkpimexchange1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimexchange1-dev package information
libkpimexchange1-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkgantt0-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkgantt0-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkgantt0-dev package information
libkgantt0-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libktnef1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libktnef1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libktnef1-dev package information
libktnef1-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kandy DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kandy DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kandy package information
kandy
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : korganizer DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  korganizer DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package korganizer package information
korganizer
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kaddressbook DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kaddressbook DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kaddressbook package information
kaddressbook
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : ksync DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  ksync DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package ksync package information
ksync
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkcal2-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkcal2-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkcal2-dev package information
libkcal2-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimidentities1 DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkpimidentities1 DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimidentities1 package information
libkpimidentities1
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libksieve0 DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libksieve0 DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libksieve0 package information
libksieve0
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kitchensync DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kitchensync DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kitchensync package information
kitchensync
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : korn DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  korn DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package korn package information
korn
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : networkstatus DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  networkstatus DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package networkstatus package information
networkstatus
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkleopatra1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkleopatra1-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkleopatra1-dev package information
libkleopatra1-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kmail DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kmail DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kmail package information
kmail
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimexchange1 DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkpimexchange1 DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimexchange1 package information
libkpimexchange1
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkcal2b DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkcal2b DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkcal2b package information
libkcal2b
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kfile-plugins DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kdepim-kfile-plugins DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kfile-plugins package information
kdepim-kfile-plugins
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libksieve0-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libksieve0-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libksieve0-dev package information
libksieve0-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libmimelib1c2a DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libmimelib1c2a DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libmimelib1c2a package information
libmimelib1c2a
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : knode DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  knode DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package knode package information
knode
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libindex0-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libindex0-dev DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libindex0-dev package information
libindex0-dev
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kalarm DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kalarm DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kalarm package information
kalarm
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : karm DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  karm DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package karm package information
karm
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-wizards DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kdepim-wizards DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-wizards package information
kdepim-wizards
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kio-plugins DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kdepim-kio-plugins DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kio-plugins package information
kdepim-kio-plugins
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkmime2 DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkmime2 DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkmime2 package information
libkmime2
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kleopatra DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kleopatra DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kleopatra package information
kleopatra
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : knotes DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  knotes DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package knotes package information
knotes
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kmailcvt DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kmailcvt DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kmailcvt package information
kmailcvt
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kpilot DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kpilot DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kpilot package information
kpilot
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : ktnef DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  ktnef DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package ktnef package information
ktnef
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkleopatra1 DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  libkleopatra1 DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkleopatra1 package information
libkleopatra1
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : kdepim-doc DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kdepim-doc DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-doc package information
kdepim-doc
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-doc-html DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kdepim-doc-html DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-doc-html package information
kdepim-doc-html
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim DPKG is earlier than 4:3.5.2-0ubuntu6.1
Linux : Debian DPKG Test :  kdepim DPKG is earlier than 4:3.5.2-0ubuntu6.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim package information
kdepim
RPM Version less than 0:4:3.5.2-0ubuntu6.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 8.04 is installed oval:org.mitre.oval:def:13250
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : kontact DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kontact DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kontact package information
kontact
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : konsolekalendar DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  konsolekalendar DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package konsolekalendar package information
konsolekalendar
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkcal2b DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkcal2b DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkcal2b package information
libkcal2b
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libktnef1 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libktnef1 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libktnef1 package information
libktnef1
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : akregator DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  akregator DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package akregator package information
akregator
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkgantt0 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkgantt0 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkgantt0 package information
libkgantt0
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libindex0 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libindex0 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libindex0 package information
libindex0
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kresources DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim-kresources DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kresources package information
kdepim-kresources
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libmimelib1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libmimelib1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libmimelib1-dev package information
libmimelib1-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kode DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kode DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kode package information
kode
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkdepim1a DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkdepim1a DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkdepim1a package information
libkdepim1a
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-dev package information
kdepim-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libktnef1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libktnef1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libktnef1-dev package information
libktnef1-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkgantt0-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkgantt0-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkgantt0-dev package information
libkgantt0-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimexchange1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkpimexchange1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimexchange1-dev package information
libkpimexchange1-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : korganizer DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  korganizer DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package korganizer package information
korganizer
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kaddressbook DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kaddressbook DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kaddressbook package information
kaddressbook
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kandy DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kandy DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kandy package information
kandy
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kitchensync DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kitchensync DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kitchensync package information
kitchensync
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimidentities1 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkpimidentities1 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimidentities1 package information
libkpimidentities1
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkcal2-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkcal2-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkcal2-dev package information
libkcal2-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kfile-plugins DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim-kfile-plugins DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kfile-plugins package information
kdepim-kfile-plugins
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kleopatra DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kleopatra DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kleopatra package information
kleopatra
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkleopatra1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkleopatra1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkleopatra1-dev package information
libkleopatra1-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : networkstatus DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  networkstatus DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package networkstatus package information
networkstatus
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libmimelib1c2a DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libmimelib1c2a DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libmimelib1c2a package information
libmimelib1c2a
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libksieve0-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libksieve0-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libksieve0-dev package information
libksieve0-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kmail DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kmail DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kmail package information
kmail
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimexchange1 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkpimexchange1 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimexchange1 package information
libkpimexchange1
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libindex0-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libindex0-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libindex0-dev package information
libindex0-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : karm DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  karm DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package karm package information
karm
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : knode DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  knode DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package knode package information
knode
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkdepim1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkdepim1-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkdepim1-dev package information
libkdepim1-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libksieve0 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libksieve0 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libksieve0 package information
libksieve0
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : networkstatus-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  networkstatus-dev DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package networkstatus-dev package information
networkstatus-dev
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kalarm DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kalarm DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kalarm package information
kalarm
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : korn DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  korn DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package korn package information
korn
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-wizards DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim-wizards DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-wizards package information
kdepim-wizards
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kio-plugins DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim-kio-plugins DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kio-plugins package information
kdepim-kio-plugins
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkmime2 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkmime2 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkmime2 package information
libkmime2
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : knotes DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  knotes DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package knotes package information
knotes
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kmailcvt DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kmailcvt DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kmailcvt package information
kmailcvt
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : ktnef DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  ktnef DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package ktnef package information
ktnef
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-dbg DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim-dbg DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-dbg package information
kdepim-dbg
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kpilot DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kpilot DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kpilot package information
kpilot
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkleopatra1 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  libkleopatra1 DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkleopatra1 package information
libkleopatra1
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : kdepim-doc DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim-doc DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-doc package information
kdepim-doc
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim package information
kdepim
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-doc-html DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1
Linux : Debian DPKG Test :  kdepim-doc-html DPKG is earlier than 4:3.5.10-0ubuntu1~hardy3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-doc-html package information
kdepim-doc-html
RPM Version less than 0:4:3.5.10-0ubuntu1~hardy3.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 7.10 is installed oval:org.mitre.oval:def:13354
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : libkcal2b DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkcal2b DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkcal2b package information
libkcal2b
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kontact DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kontact DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kontact package information
kontact
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : konsolekalendar DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  konsolekalendar DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package konsolekalendar package information
konsolekalendar
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : akregator DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  akregator DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package akregator package information
akregator
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libktnef1 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libktnef1 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libktnef1 package information
libktnef1
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkgantt0 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkgantt0 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkgantt0 package information
libkgantt0
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kresources DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim-kresources DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kresources package information
kdepim-kresources
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libindex0 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libindex0 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libindex0 package information
libindex0
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libmimelib1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libmimelib1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libmimelib1-dev package information
libmimelib1-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-dev package information
kdepim-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kode DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kode DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kode package information
kode
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkdepim1a DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkdepim1a DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkdepim1a package information
libkdepim1a
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkgantt0-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkgantt0-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkgantt0-dev package information
libkgantt0-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimexchange1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkpimexchange1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimexchange1-dev package information
libkpimexchange1-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libktnef1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libktnef1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libktnef1-dev package information
libktnef1-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kandy DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kandy DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kandy package information
kandy
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kaddressbook DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kaddressbook DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kaddressbook package information
kaddressbook
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkcal2-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkcal2-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkcal2-dev package information
libkcal2-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : korganizer DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  korganizer DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package korganizer package information
korganizer
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kitchensync DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kitchensync DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kitchensync package information
kitchensync
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimidentities1 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkpimidentities1 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimidentities1 package information
libkpimidentities1
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : networkstatus DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  networkstatus DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package networkstatus package information
networkstatus
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkleopatra1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkleopatra1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkleopatra1-dev package information
libkleopatra1-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kfile-plugins DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim-kfile-plugins DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kfile-plugins package information
kdepim-kfile-plugins
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kleopatra DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kleopatra DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kleopatra package information
kleopatra
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libksieve0-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libksieve0-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libksieve0-dev package information
libksieve0-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkpimexchange1 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkpimexchange1 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkpimexchange1 package information
libkpimexchange1
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kmail DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kmail DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kmail package information
kmail
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libindex0-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libindex0-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libindex0-dev package information
libindex0-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libmimelib1c2a DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libmimelib1c2a DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libmimelib1c2a package information
libmimelib1c2a
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : knode DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  knode DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package knode package information
knode
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkdepim1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkdepim1-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkdepim1-dev package information
libkdepim1-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : karm DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  karm DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package karm package information
karm
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libksieve0 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libksieve0 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libksieve0 package information
libksieve0
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kalarm DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kalarm DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kalarm package information
kalarm
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : networkstatus-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  networkstatus-dev DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package networkstatus-dev package information
networkstatus-dev
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : korn DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  korn DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package korn package information
korn
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkmime2 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkmime2 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkmime2 package information
libkmime2
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-kio-plugins DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim-kio-plugins DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-kio-plugins package information
kdepim-kio-plugins
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-wizards DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim-wizards DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-wizards package information
kdepim-wizards
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-dbg DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim-dbg DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-dbg package information
kdepim-dbg
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kpilot DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kpilot DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kpilot package information
kpilot
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : knotes DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  knotes DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package knotes package information
knotes
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kmailcvt DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kmailcvt DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kmailcvt package information
kmailcvt
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : ktnef DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  ktnef DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package ktnef package information
ktnef
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libkleopatra1 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  libkleopatra1 DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libkleopatra1 package information
libkleopatra1
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : kdepim-doc-html DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim-doc-html DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-doc-html package information
kdepim-doc-html
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim-doc DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim-doc DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim-doc package information
kdepim-doc
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : kdepim DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2
Linux : Debian DPKG Test :  kdepim DPKG is earlier than 4:3.5.7enterprise20070926-0ubuntu2.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kdepim package information
kdepim
RPM Version less than 0:4:3.5.7enterprise20070926-0ubuntu2.2 (datatype=evr_string)
linux : dpkginfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html